{% extends 'base/base.html' %}

{% block content %}

<div class="container">
    <div style="padding: 5%;">
        <div class="row d-flex justify-content-center text-center">
            <h1>Feedback</h1>
        </div>

        {% if user.is_authenticated %}
        <div class="row d-flex justify-content-center text-center">
            <p>Apa pendapat mu tentang website yang telah kami buat ini? Sampaikan kritik saran mu yang membangun terkait dengan kekurangan yang masih dimiliki. Terimakasih, Stay Safe!</p>
            <form action="{% url 'feedback:saveFeedback' %}" method="POST" id='formfeed'>
                {% csrf_token %}
                {{ input_form.as_p}}
                <input id="postButton" class="submit btn btn-primary active mx-auto" style="background-color: #72C3B3; padding: 9px 25px; font-size: 22px; font-weight: 700; border-radius: 8px;" type="submit" value="Submit">
            </form>
        </div>
        {% else %}
        <div class="row d-flex justify-content-center text-center">
            <p>Log in untuk memberikan feedback</p>
        </div>
        {% endif %}
    </div>
    <div id="feed-output"> </div>
    <p class="totop" style="position: fixed;bottom: 10px;right: 20px;"> 
    <a href="#top" style='display: none;color: #72C3B3;' >Back to top</a> 
    </p>
</div>
{% endblock content %}
{% block script %}
<script type="text/javascript">
    $(document).ready(function(){
        alert('Selamat datang di halaman feedback!');
        $.ajax({
            url: '/feedback/allFeedback/',
            success: function(output) {
                var obj_output = $("#feed-output");
                obj_output.empty();
                for (i=output.items.length-1; i >=0; i--) {
                    var temp_desc = output.items[i].content;
                    var temp_user = output.items[i].user;
                    var isi = '<div style="border-bottom: 2px solid gray;"><p style="font-weight:bold;" id="pfeed">'+temp_user+'</p>'+ '<p>'+temp_desc+'</p></div>';
                    obj_output.append(isi);
                }
            }
        });
    });


    $('#formfeed').submit(function(e) {
    e.preventDefault();
    saveFeedback();
    });

    $(window).scroll(function () {
        if ($(this).scrollTop() > 50) {
            $('.totop a').show();
        } else {
            $('.totop a').hide();
        }
    });
    
    $('a[href=\\#top]').click(function () {
        $('body, html').animate({
            scrollTop: 0
        }, 600);
        return false;
    });

    function saveFeedback() {
        $.ajax({
            type:"POST",
            url: '/feedback/saveFeedback/',
            data: $('#formfeed').serialize(),
            success: function(output) {
                var obj_output = $("#feed-output");
                obj_output.empty();
                for (i=output.items.length-1; i >=0; i--) {
                    var temp_desc = output.items[i].content;
                    var temp_user = output.items[i].user;
                    var isi = '<div style="border-bottom: 2px solid gray;"><p style="font-weight:bold;" id="pfeed">'+temp_user+'</p>'+ '<p>'+temp_desc+'</p></div>';
                    obj_output.append(isi);
                }
            }
        });
    };

</script>
<script type="text/javascript" src="http://ajax.aspnetcdn.com/ajax/jquery.validate/1.7/jquery.validate.min.js"></script>
{% endblock script %}
